#define EQU .equ
#define end .end

#include "ti83asm.inc"
.org     9327h


  ccf
  jr	Start
.dw	$0000
.dw	Title

KeyLoop:
 call	$4014
 or	a
 jr	z,KeyLoop
 sub	2
 ld	c,a
 ld	a,(Loc)
 jr	z,Decrease
 dec	c
 jr	z,Increase
 ret

Start:
 set 3,(iy+$05)
 call _homeup
 ld hl,Title
 call _puts
 res 3,(iy+$05)

 call _newline
 call _newline
 ld hl,Char
 call _puts

Increase:
 inc	a
 inc	a
Decrease:
 dec	a
DispIt:
 ld	(Loc),a
 push	af
 cp	214
 jr	nz,CharGood
 ld	a,' '
CharGood:
 ld	hl,12*256+3
 ld	(currow),hl
 call	_putc
 ld	hl,8*256+4
 ld	(currow),hl
 pop	af
 ld	h,0
 ld	l,a
 call	_disphl
 jr	KeyLoop

Title:  .db "CharMap v1 by AE",0
Char: 	.db "Charecter:      "
Number:	.db "Number:",0
Loc:	.db	0

.end
